/* JFox, the OpenSource J2EE Application Server
 *
 * Copyright (C) 2002 huihoo.com
 * Distributable under GNU LGPL license
 * See the GNU Lesser General Public License for more details.
 */

package org.huihoo.jfox.datasource;

import org.huihoo.jfox.service.ComponentSupportMBean;

/**
 * 
 * @author <a href="mailto:kelvin_wym@hotmail.com">Kelvin Wu</a>
 */


public interface PoolDataSourceMBean extends ComponentSupportMBean {
  void setDbURL(String dbUrl);
  String getDbURL();

  void setDbDriver(String driver);
  String getDbDriver();

  void setUser(String user);
  String getUser();

  void setPassword(String password);
  String getPassword();

}
